extends ESCItemComponent
class_name ESCItemComponentInventoryChecker

func get_component_type():
    return "auto-inventory-checker"

func _enter_tree():
    if escoria.inventory_manager.inventory_has(get_global_id()):
        escoria.object_manager.get_object(get_global_id()).active = false